<ng-container *ngIf="dispatchView; else dataAwaitedBlk">
  <div fxLayout="column" fxLayoutAlign="start center">
    <div class="eh-txt-bold eh-mt-24">
      Orientation
    </div>
    <p class="eh-mt-8 eh-txt-justify">
      Orientation is one of the key elements, which can have a significant effect on the quality of service and support.
      MEALpyramid can provide to meet your specific goals. Orientation is applicable for all clients.
    </p>
    <ul>
      <li>
        <span class="eh-txt-bold">First Appointment</span>, either at our center or virtual, is considered as <span
          class="eh-txt-bold">Orientation</span>.
      </li>
      <li>
        During this appointment, <span class="eh-txt-bold eh-txt-underline">NO DIET</span> will be prescribed. Kinita
        will understand your health history, discuss your targets and further help you with realistic goal setting.
      </li>
      <li>
        Based on that, Kinita will recommend <span class="eh-txt-bold">Pathological Tests</span>, <span
          class="eh-txt-bold">Advanced Testing</span> along with a <span class="eh-txt-bold">Suitable Package</span>.
      </li>
      <li><span class="eh-txt-bold">All these details will be shared with you post Orientation on email</span>.</li>
    </ul>
    <div class="e-txt-primary eh-txt-bold eh-mt-16">
      &#8377;2,360/-
    </div>
    <div class="eh-txt-12 e-txt e-txt--matgrey700">
      Clients in India: Rates are inclusive of GST.
    </div>
    <div class="eh-txt-12 e-txt e-txt--matgrey700">
      International Clients: Rates are inclusive of Bank & Conversion Fees and Other Charges.
    </div>
    <div class="eh-txt-12 eh-txt-italic">
      Please scroll down to read the full terms and conditions.
    </div>

    <div class="eh-w-100p e-bg e-bg--eblue200 eh-mt-16 eh-p-16 e-brd e-brd--all e-brd--round1">
      <div class="eh-txt-center eh-txt-12">
        <mat-checkbox [formControl]="requiresGSTFC">
          I require a GST invoice for this payment
        </mat-checkbox>
      </div>
      <div *ngIf="requiresGSTFC.value" fxLayout="row wrap" fxLayoutAlign="center" fxLayoutGap="16px"
        [formGroup]="gstFG">
        <mat-form-field class="e-mat-form-field eh-w-180 eh-mt-12">
          <mat-label>GST Number</mat-label>
          <input matInput formControlName="number">
        </mat-form-field>

        <mat-form-field class="e-mat-form-field eh-w-180 eh-mt-12">
          <mat-label>GST Billing Name</mat-label>
          <input matInput formControlName="name">
        </mat-form-field>

        <mat-form-field class="e-mat-form-field eh-w-280 eh-mt-12">
          <mat-label>GST Billing Address</mat-label>
          <input matInput formControlName="address">
        </mat-form-field>
      </div>
    </div>

    <div class="eh-mt-12 eh-w-132">
      <button *ngIf="!loading" mat-raised-button (click)="onCreatePayment()"
        [ngClass]="{'e-mat-button e-mat-button--eblue400 eh-w-100p': true}">
        Pay Now
      </button>
      <div *ngIf="loading" class="e-spinner e-spinner--2 eh-h-36">
        <mat-spinner [diameter]="24" [strokeWidth]="2"></mat-spinner>
      </div>
    </div>

    <div class="eh-mt-16 eh-txt-bold e-txt e-txt--matamber600">OR</div>

    <div class="eh-mt-12 eh-txt-bold">Other Modes of Payment</div>
    <table class="e-table">
      <tr>
        <td class="eh-txt-center" style="width: 20%;">NEFT / RTGS / IMPS</td>
        <!-- <td class="eh-txt-center" style="width: 20%;">Credit / Debit Card</td> -->
        <td class="eh-txt-center" style="width: 20%;">VPA</td>
        <td class="eh-txt-center" style="width: 20%;">GPay / QR Code Scan</td>
        <td class="eh-txt-center" style="width: 20%;">Cheque Payment</td>
      </tr>

      <tr>
        <td class="e-txt e-txt--matgrey700 eh-txt-12" style="line-height: 1.4em;">
          <span class="eh-txt-bold">MEALpyramid Nutrition and Wellness</span><br><br>
          Account No: <span class="eh-txt-bold">23905900140</span><br>
          IFSC Code: <span class="eh-txt-bold">SCBL0036058</span> (for rupee payments)<br>
          SWIFT Code: <span class="eh-txt-bold">SCBLINBBXXX</span> (for non-rupee payments)<br><br>
          Bank: <span class="eh-txt-bold">Standard Chartered Bank</span><br>
          Branch: <span class="eh-txt-bold">Juhu</span><br>
          Type: <span class="eh-txt-bold">Current / Domestic</span><br>
          Entity Type: <span class="eh-txt-bold">Partnership</span>
        </td>

        <!-- <td class="eh-txt-12">
          WhatsApp us on <span class="eh-txt-bold">+91-892686118</span> and we will generate a link for you so you can
          make the payment online using your Credit or Debit Card.<br><br>
          <span class="e-txt e-txt-placeholder">International customers can select the currency of their choice.</span>
          <div fxLayout="row" fxLayoutAlign="center center">
            <img class="eh-w-100 eh-mt-16" src="../../../../assets/images/razorpay-logo-white.svg" alt="RazorPay">
          </div>
        </td> -->

        <td class="eh-txt-12">
          Simply enter our VPA ID in any supported app.<br><br>
          VPA ID:<br>
          <span class="eh-txt-bold">mealpyramid@sc</span><br><br>
          Linked Number:<br>
          <span class="eh-txt-bold">+91-9819304049</span><br><br>
        </td>

        <td class="e-txt e-txt--matgrey700 eh-txt-12 eh-txt-center" style="line-height: 1.4em;">
          <span>Scan the below QR code</span><br>
          <img class="eh-w-144 eh-mt-12" src="../../../../assets/images/payment-qr-code-2.png" alt="QR Code">
          <div class="eh-mt-12" fxLayout="row wrap" fxLayoutAlign="center">
            <img class="eh-w-64" src="../../../../assets/images/google-pay-mark-logo.svg" alt="GPay">
            <img class="eh-w-60" src="../../../../assets/images/paytm-logo.svg" alt="PayTM">
            <img class="eh-w-80" src="../../../../assets/images/phone-pe-logo.svg" alt="PhonePe">
          </div>
          <!-- <div>
            <img class="eh-w-100" src="../../../../assets/images/bhim-upi-logo.png" alt="BHIM UPI">
          </div> -->
        </td>

        <td class="e-txt e-txt--matgrey700 eh-txt-12" style="line-height: 1.4em;">
          <span>Cheques must be drawn in favour of:</span><br>
          <span>“<b>MEALpyramid Nutrition and Wellness</b>” and sent to:</span><br><br>
          <b>MEALpyramid Nutrition and Wellness</b><br>
          <span>1st Floor, Anuradha Satyamorthy Building,</span><br>
          <span>#16 Vithal Nagar Society,</span><br>
          <span>11th Road, Juhu Scheme,</span><br>
          <span>Mumbai, 400049, INDIA.</span><br><br>
          <span>Tel: +91-9892686118</span>
        </td>
      </tr>
    </table>

    <div class="eh-mt-8">
      Once paid, kindly send us remittance details and we will activate your account accordingly. If your preferred
      mode of payment is other than credit card, kindly share your payment details. WhatsApp or email us the details and
      we
      shall activate the purchase from our side.
    </div>
  </div>
  <div fxLayout="row" fxLayoutAlign="start start" class="eh-mt-24">
    <div class="eh-mt-8" fxFlex="0 0 30%">
      <div class="eh-txt-bold eh-px-2 eh-mb-8">
        ALL PACKAGES INCLUDE
      </div>
      <div class="eh-txt-12 eh-mt-8 eh-txt-justify">
        <div class="eh-mt-6">
          <div class="eh-txt-bold">
            Complete Nutrition Analysis
          </div>
          <ul class="eh-m-0 eh-px-16">
            <li>
              Health history analysis
            </li>
            <li>
              Clinical analysis
            </li>
            <li>
              Dietary supplements
            </li>
            <li>
              Lifestyle modifications
            </li>
            <li>
              Travel tips </li>
            <li>
              Guide to eating out</li>
          </ul>
        </div>
        <div class="eh-mt-6">
          <div class="eh-txt-bold">
            Interpersonal Consultations
          </div>
          <ul class="eh-m-0 eh-px-16">
            <li>
              Individualised nutrition plan
            </li>
            <li>
              Realistic goal setting
            </li>
            <li>
              Detailed diet discussions
            </li>
          </ul>
        </div>
        <div class="eh-mt-6">
          <div class="eh-txt-bold">Follow-Up Consultations
          </div>
          <ul class="eh-m-0 eh-px-16">
            <li>
              Target monitoring
            </li>
            <li>
              Dietary changes
            </li>
            <li>
              Constant monitoring
            </li>
          </ul>
        </div>
      </div>
      <div class="eh-txt-bold eh-txt-italic eh-mt-10 eh-txt-12">
        <span class="eh-txt-underline">NOTE</span> : Online services follow the
        same protocol & charges
      </div>
      <div class=" eh-txt-bold eh-mt-8 eh-txt-12">
        GSTIN: 27ABRFM9899F1Z6
      </div>
    </div>
    <div class="eh-mt-8" fxFlex="0 0 35%">
      <div class="eh-txt-bold eh-px-16 eh-mb-8">MEALpyramid will:</div>
      <div class="eh-txt-12 eh-mt-8 eh-txt-justify">
        <ul class="eh-m-0 eh-px-16 ">
          <li>
            endeavour to provide you with the best nutritional advice that may help resolve weight and health problems
            or improve your sporting performance; however, following the advice is ultimately at your discretion
          </li>
          <li>
            not guarantee that you will meet your target, whatever that may be
          </li>
          <li>
            retain the copyright of all diets and written material provided to the client </li>
          <li>
            reserve the right to terminate our services in the event of the client failing to comply with the
            prescribed diet
          </li>
          <li>
            not be liable under any circumstances for any health issues / complications arising during or after
            clients start following our guidance
          </li>
          <li>
            maintain client confidentiality at all times and details of your records will only be released to third
            parties only upon your express written consent
          </li>
        </ul>
      </div>
    </div>
    <div class="eh-mt-8" fxFlex="0 0 35%">
      <div class="eh-txt-bold eh-px-16 eh-mb-8">TERMS OF SERVICE</div>
      <div class="eh-txt-12 eh-mt-8 eh-txt-justify">
        <ul class="eh-m-0 eh-px-16">
          <li>Orientation fee is applicable for all clients (first visit charges / package renewal after long break).
          </li>
          <li>Health check is mandatory before starting the package.
          </li>
          <li>Entire package amount is payable upfront, prior to starting the consultation.</li>
          <li>Amount once paid shall not be refundable under any circumstances.</li>
          <li>All packages are non-transferable</li>
          <li>No additional session / time extension shall be provided in case they lapse ; <span
              class="eh-txt-underline"> please make note of your package details carefully</span></li>
          <li>All packages must be completed within the specified time period.</li>
          <li>Upgrading of package midway is not permitted.</li>
          <li>Children aged under 18 years must be accompanied by a parent or guardian.</li>
          <li>Rates subject to change without prior notice. Rates at the time of joining shall only be applicable.
          </li>
        </ul>
      </div>
    </div>
  </div>
</ng-container>

<ng-template #dataAwaitedBlk>
  <div class="e-spinner">
    <mat-spinner [diameter]="30" [strokeWidth]="3"></mat-spinner>
  </div>
</ng-template>


<!-- <tr>
        <td class="eh-txt-center" style="width: 33%;">Bank Transfer – NEFT</td>
        <td class="eh-txt-center" style="width: 33%;">BHIM UPI</td>
        <td class="eh-txt-center" style="width: 33%;">Cheque</td>
      </tr>
      <tr>
        <td class="e-txt e-txt--matgrey700 eh-txt-12" style="line-height: 1.4em;">
          Account Name: Kinita Patel<br>
          Bank Name: Citi Bank<br>
          Branch: Fort, Mumbai – 400001<br>
          Account No.: 0065599112<br>
          IFSC Code: CITI0100000<br>
          Swift Code: CITIINBXXXX<br>
          PAN: AOHPK3967K<br>
          GSTIN.: 27AOHPK3967K1ZE
        </td>
        <td class="e-txt e-txt--matgrey700 eh-txt-12 eh-txt-center" style="line-height: 1.4em;">
          <span>Scan & pay with any BHIM UPI app</span><br>
          <img class="eh-w-144 eh-mt-12" src="../../../../assets/images/payment-qr-code.png" alt="QR Code">
          <div fxLayout="row" fxLayoutAlign="center center">
            <img class="eh-w-64" src="../../../../assets/images/google-pay-mark-logo.svg" alt="GPay">
            <img class="eh-w-60 eh-ml-8" src="../../../../assets/images/paytm-logo.svg" alt="PayTM">
            <img class="eh-w-80 eh-ml-8" src="../../../../assets/images/phone-pe-logo.svg" alt="PhonePe">
          </div>
          <div>
            <img class="eh-w-100" src="../../../../assets/images/bhim-upi-logo.png" alt="BHIM UPI">
          </div>
          <div class="eh-mt-12">UPI ID: mealpyramid@citi</div>
        </td>
        <td class="e-txt e-txt--matgrey700 eh-txt-12" style="line-height: 1.4em;">
          <span>Cheques must be drawn in favour of:</span><br>
          <span>“<b>Kinita Vishal Patel</b>” and sent to:</span><br><br>
          <b>MEALpyramid by Kinita Kadakia Patel</b><br>
          <span>1st Floor, Anuradha Satyamorthy Building,</span><br>
          <span>#16 Vithal Nagar, Society,</span><br>
          <span>New Indian Society Rd, JVPD Scheme,</span><br>
          <span>Mumbai, 400049, INDIA.</span><br><br>
          <span>Tel: +91-9892686118</span>
        </td>
      </tr> -->